﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.Security;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        lnkLogOut.Visible = Membership.GetUser() != null;
    }
    protected void Login(object sender, EventArgs e)
    {
        if (Membership.ValidateUser(txtUserName.Text, txtPassword.Text))
        {
            if (chkRememberMe.Checked)
            {
                FormsAuthenticationTicket authTicket = new FormsAuthenticationTicket(txtUserName.Text, true, 12 * 60);
                string encryptedTicket = FormsAuthentication.Encrypt(authTicket);
                HttpCookie cookie = new HttpCookie(FormsAuthentication.FormsCookieName, encryptedTicket);
                cookie.Expires = authTicket.Expiration;
                HttpContext.Current.Response.Cookies.Set(cookie);
            }
            else
            {
                FormsAuthentication.SetAuthCookie(txtUserName.Text, false);
            }
            Response.Redirect(Request.Url.AbsoluteUri);
        }
    }

    protected void Logout(object sender, EventArgs e)
    {
        FormsAuthentication.SignOut();
        Response.Redirect("~/Login_CS.aspx");
    }
}